## org.apache.catalina.tribes.group.interceptors
Class FragmentationInterceptor.FragCollection

    java.lang.Object
      org.apache.catalina.tribes.group.interceptors.FragmentationInterceptor.FragCollection

Enclosing class:
  FragmentationInterceptor

    public static class FragmentationInterceptor.FragCollection

extends java.lang.Object

Constructor Summary
`FragmentationInterceptor.FragCollection(ChannelMessage msg)`

Method Summary
`void` `addMessage(ChannelMessage msg)`
`ChannelMessage` `assemble()`
`boolean` `complete()`
`boolean` `expired(long expire)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FragmentationInterceptor.FragCollection

    public FragmentationInterceptor.FragCollection(ChannelMessage msg)

Method Detail

### addMessage

    public void addMessage(ChannelMessage msg)

### complete

    public boolean complete()

### assemble

    public ChannelMessage assemble()

### expired

    public boolean expired(long expire)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.